Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.replacer
Class ReplaceEventLogger

    java.lang.Object
      com.ejie.r01f.replacer.ReplaceEventLogger

All Implemented Interfaces:
  ReplaceEventListener

public class ReplaceEventLogger
extends java.lang.Object
implements ReplaceEventListener

Loggea en un fichero los eventos de traducción de texto

Constructor Summary
`ReplaceEventLogger()` Constructor vacío
`ReplaceEventLogger(SimpleLogger logger)` Constructor en base al logger

Method Summary
`void` | `beforeCharReplace(java.util.Map context, java.lang.String originalText)` Evento "callBack" llamado por una clase que implementa el interfaz CharSequenceReplacer ANTES de remplazar un texto
`void` | `beforeFileReplace(java.util.Map context, java.lang.String fileName)` Evento "callback" llamado por una clase que implementa el interfaz FileReplacer ANTES de iniciar el proceso de remplazado
`void` | `charReplaced(java.util.Map context, java.lang.String originalText, java.lang.String replacedText)` Evento "callback" llamado por una clase que implementa el interfaz CharSequenceReplacer DESPUES de remplazar un texto.
`void` | `directoryEntering(java.util.Map context, java.lang.String dirName)` Evento "callback" llamado por una clase que implementa el interfaz DirectoryReplacer ANTES de entrar en un directorio
`void` | `directoryExiting(java.util.Map context, java.lang.String dirName)` Evento "callback" llamado por una clase que implementa el interfaz DirectoryReplacer DESPUES de salir de un directorio y haber procesado sus directorios
`void` | `fileReplaced(java.util.Map context, java.lang.String fileName)` Evento "callback" llamado por una clase que implementa el interfaz FileReplacer DESPUES de realizado el proceso de remplazado
`void` | `generalEvent(java.util.Map context, java.lang.String eventText)` Evento "generico" de traducción que puede ser llamado por cualquier clase, por ejemplo, en el DirectoryReplacer se llama cada vez que se empieza a procesar un fichero

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReplaceEventLogger

    public ReplaceEventLogger()

  Constructor vacío

### ReplaceEventLogger

    public ReplaceEventLogger(SimpleLogger logger)

  Constructor en base al logger

Method Detail

### beforeCharReplace

    public void beforeCharReplace(java.util.Map context,
                                  java.lang.String originalText)

  Description copied from interface: `ReplaceEventListener`
  Evento "callBack" llamado por una clase que implementa el interfaz CharSequenceReplacer ANTES de remplazar un texto

  Specified by:
    `beforeCharReplace` in interface `ReplaceEventListener`
  Parameters:
    `originalText` -

### charReplaced

    public void charReplaced(java.util.Map context,
                             java.lang.String originalText,
                             java.lang.String replacedText)

  Description copied from interface: `ReplaceEventListener`
  Evento "callback" llamado por una clase que implementa el interfaz CharSequenceReplacer DESPUES de remplazar un texto.

  Specified by:
    `charReplaced` in interface `ReplaceEventListener`

### directoryEntering

    public void directoryEntering(java.util.Map context,
                                  java.lang.String dirName)

  Description copied from interface: `ReplaceEventListener`
  Evento "callback" llamado por una clase que implementa el interfaz DirectoryReplacer ANTES de entrar en un directorio

  Specified by:
    `directoryEntering` in interface `ReplaceEventListener`
  Parameters:
    `dirName` -

### directoryExiting

    public void directoryExiting(java.util.Map context,
                                 java.lang.String dirName)

  Description copied from interface: `ReplaceEventListener`
  Evento "callback" llamado por una clase que implementa el interfaz DirectoryReplacer DESPUES de salir de un directorio y haber procesado sus directorios

  Specified by:
    `directoryExiting` in interface `ReplaceEventListener`
  Parameters:
    `dirName` -

### beforeFileReplace

    public void beforeFileReplace(java.util.Map context,
                                  java.lang.String fileName)

  Description copied from interface: `ReplaceEventListener`
  Evento "callback" llamado por una clase que implementa el interfaz FileReplacer ANTES de iniciar el proceso de remplazado

  Specified by:
    `beforeFileReplace` in interface `ReplaceEventListener`

### fileReplaced

    public void fileReplaced(java.util.Map context,
                             java.lang.String fileName)

  Description copied from interface: `ReplaceEventListener`
  Evento "callback" llamado por una clase que implementa el interfaz FileReplacer DESPUES de realizado el proceso de remplazado

  Specified by:
    `fileReplaced` in interface `ReplaceEventListener`

### generalEvent

    public void generalEvent(java.util.Map context,
                             java.lang.String eventText)

  Description copied from interface: `ReplaceEventListener`
  Evento "generico" de traducción que puede ser llamado por cualquier clase, por ejemplo, en el DirectoryReplacer se llama cada vez que se empieza a procesar un fichero

  Specified by:
    `generalEvent` in interface `ReplaceEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD